# Record Class ARI1EventNoteOn

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.ARI1EventNoteOn

Record Components:
  `timeOffsetInFrames` - The offset of the note from the start of the processing period
  `note` - The note number
  `velocity` - The velocity

All Implemented Interfaces:
  `ARI1EventNoteType, ARI1EventType`

public record ARI1EventNoteOn(int timeOffsetInFrames, int note, double velocity) extends Record implements ARI1EventNoteType
A note has started.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1EventNoteOn(int timeOffsetInFrames, int note, double velocity)`
  Creates an instance of a `ARI1EventNoteOn` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `note()`
  Returns the value of the `note` record component.
  `int`
  `timeOffsetInFrames()`
  Returns the value of the `timeOffsetInFrames` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `double`
  `velocity()`
  Returns the value of the `velocity` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1EventNoteOn

    public ARI1EventNoteOn(int timeOffsetInFrames, int note, double velocity)
    Creates an instance of a `ARI1EventNoteOn` record class.
    Parameters:
      `timeOffsetInFrames` - the value for the `timeOffsetInFrames` record component
      `note` - the value for the `note` record component
      `velocity` - the value for the `velocity` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### timeOffsetInFrames

    public int timeOffsetInFrames()
    Returns the value of the `timeOffsetInFrames` record component.
    Specified by:
      `timeOffsetInFrames` in interface `ARI1EventType`
    Returns:
      the value of the `timeOffsetInFrames` record component

  - ### note

    public int note()
    Returns the value of the `note` record component.
    Returns:
      the value of the `note` record component

  - ### velocity

    public double velocity()
    Returns the value of the `velocity` record component.
    Returns:
      the value of the `velocity` record component